clear
Fs   = 1024; % Hz
nyquist = Fs/2;
f  = [0 0.25 0.3 1];
a= [1 1 0 0];
ordem=500;
% filter kernel
kern = firls(ordem,f,a);

% H(z)- PSD do kernel
psd_kern = abs(fft(kern)).^2;
% Calcula o vetor de frequencias e exibe apenas a parte positiva (simetria)
Hz      = linspace(0,Fs/2,floor(length(kern)/2)+1);
psd_kern = psd_kern(1:length(Hz));

figure(1);
subplot(1,3,1);plot(kern)
xlabel('Pontos (tempo)')
title('Kernel (firls)')
axis square

% H(z) (PSD)
subplot(1,3,2), hold on
plot(Hz,psd_kern,'ks-','markerfacecolor','w')
plot(f*nyquist,a,'ro-','markerfacecolor','w')
axis square
% titulo, legenda
xlabel('Frequencia (Hz)'), ylabel('Ganho')
legend({'Projeto';'Ideal'})
title('H(z) (firls)')
axis square

% H(z) em escala logaritmica
subplot(1,3,3), hold on
plot(Hz,10*log10(psd_kern),'ks-')
xlabel('Frequencia (Hz)'), ylabel('Ganho (dB)')
title('H(z) (firls)')
axis square